---
apiVersion: "v1"
kind: "List"
items:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      prometheus.io/port: "9779"
      prometheus.io/scrape: "true"
      fabric8.io/git-commit: "ccc4bb82cbb548515e710883d40985eb0da45798"
      fabric8.io/iconUrl: "img/icons/funktion.png"
      fabric8.io/git-branch: "release-v1.0.34"
      fabric8.io/build-id: "1"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/funktion-parent/commit/ccc4bb82cbb548515e710883d40985eb0da45798"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/funktion-parent/1"
    labels:
      expose: "true"
      provider: "fabric8"
      project: "example-java"
      version: "1.0.34"
      group: "io.fabric8.funktion.examples"
    name: "example-java"
  spec:
    ports:
    - name: "http"
      port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "example-java"
      provider: "fabric8"
      group: "io.fabric8.funktion.examples"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "DeploymentConfig"
  metadata:
    annotations:
      fabric8.io/git-commit: "ccc4bb82cbb548515e710883d40985eb0da45798"
      fabric8.io/metrics-path: "dashboard/file/camel-routes.json/?var-project=example-java&var-version=1.0.34"
      fabric8.io/build-id: "1"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/funktion-parent/1"
      fabric8.io/iconUrl: "img/icons/funktion.png"
      fabric8.io/git-branch: "release-v1.0.34"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/funktion-parent/commit/ccc4bb82cbb548515e710883d40985eb0da45798"
    labels:
      provider: "fabric8"
      project: "example-java"
      version: "1.0.34"
      group: "io.fabric8.funktion.examples"
    name: "example-java"
  spec:
    replicas: 1
    selector:
      project: "example-java"
      provider: "fabric8"
      group: "io.fabric8.funktion.examples"
    strategy:
      rollingParams:
        timeoutSeconds: 10800
      type: "Rolling"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "ccc4bb82cbb548515e710883d40985eb0da45798"
          fabric8.io/metrics-path: "dashboard/file/camel-routes.json/?var-project=example-java&var-version=1.0.34"
          fabric8.io/build-id: "1"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/funktion-parent/1"
          fabric8.io/iconUrl: "img/icons/funktion.png"
          fabric8.io/git-branch: "release-v1.0.34"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/funktion-parent/commit/ccc4bb82cbb548515e710883d40985eb0da45798"
        labels:
          provider: "fabric8"
          project: "example-java"
          version: "1.0.34"
          group: "io.fabric8.funktion.examples"
      spec:
        containers:
        - env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "examples/example-java:1.0.34"
          imagePullPolicy: "IfNotPresent"
          livenessProbe:
            httpGet:
              path: "/health"
              port: 8081
            initialDelaySeconds: 180
          name: "spring-boot"
          ports:
          - containerPort: 8080
            name: "http"
            protocol: "TCP"
          - containerPort: 9779
            name: "prometheus"
            protocol: "TCP"
          - containerPort: 8778
            name: "jolokia"
            protocol: "TCP"
          readinessProbe:
            httpGet:
              path: "/health"
              port: 8081
            initialDelaySeconds: 10
          securityContext:
            privileged: false
    triggers:
    - type: "ConfigChange"
